summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrew Strong <andrew.david.strong@gmail.com>2015-01-21 19:42:57 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-01-22 06:34:13 +0700
commit1f18b0fb758218d7c696cae29d6467f15926f793 (patch)
tree1c79527b595661ca49940600fed7ec5a45693df4
parentdbd33f1a255edd44eee62251d76f6918192babe9 (diff)
downloadslackbuilds-1f18b0fb758218d7c696cae29d6467f15926f793.tar.gz
slackbuilds-1f18b0fb758218d7c696cae29d6467f15926f793.tar.xz
audio/eyeD3: Updated for version 0.7.5 + new maintainer.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--audio/eyeD3/eyeD3.SlackBuild35
-rw-r--r--audio/eyeD3/eyeD3.info12
2 files changed, 18 insertions, 29 deletions
diff --git a/audio/eyeD3/eyeD3.SlackBuild b/audio/eyeD3/eyeD3.SlackBuild
index ef57243142..d4417a4f2d 100644
--- a/audio/eyeD3/eyeD3.SlackBuild
+++ b/audio/eyeD3/eyeD3.SlackBuild
@@ -1,8 +1,9 @@
#!/bin/sh
-# Slackware build script for abiword
+# Slackware build script for eyeD3
# Copyright 2007 Andrew Lindberg <alindberg@gmail.com>
+# Copyright 2015 Andrew Strong, Blue Mountains Australia.
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,9 +25,10 @@
# Modified by the SlackBuilds.org project
# No additional license terms added
+# Modified by new maintainer: Andrew Strong
PRGNAM=eyeD3
-VERSION=0.6.14
+VERSION=${VERSION:-0.7.5}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -49,36 +51,23 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-# eyeD3 neatly wraps the setup.py script in an automake system
-# --docdir is ignored by the build process, but we'll leave it here anyway
-./configure \
- --prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --mandir=/usr/man \
- --docdir=/usr/doc/$PRGNAM-$VERSION
+python setup.py install --root=$PKG
-make
-make DESTDIR=$PKG install
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-# and the automake does everything neatly for docs and man pages, et al
-# just need the slack-specific files
-mv $PKG/usr/share/doc $PKG/usr
-rmdir $PKG/usr/share
-( cd $PKG/usr/doc/$PRGNAM-$VERSION
- cat $CWD/$PRGNAM.SlackBuild > $PRGNAM.SlackBuild
- gzip -d {COPYING.gz,ChangeLog.gz}
-)
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/audio/eyeD3/eyeD3.info b/audio/eyeD3/eyeD3.info
index 80e33d55d8..715871cfc8 100644
--- a/audio/eyeD3/eyeD3.info
+++ b/audio/eyeD3/eyeD3.info
@@ -1,10 +1,10 @@
PRGNAM="eyeD3"
-VERSION="0.6.14"
+VERSION="0.7.5"
HOMEPAGE="http://eyed3.nicfit.net/"
-DOWNLOAD="http://eyed3.nicfit.net/releases/eyeD3-0.6.14.tar.gz"
-MD5SUM="c4f81b3cbb72993244f27ab740abbccc"
+DOWNLOAD="http://eyed3.nicfit.net/releases/eyeD3-0.7.5.tgz"
+MD5SUM="b8fe9582ffce1dd10bbe1babe47f8cc4"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES=""
-MAINTAINER="Andrew Lindberg"
-EMAIL="hackedhead@gmail.com"
+REQUIRES="python-magic"
+MAINTAINER="Andrew Strong"
+EMAIL="andrew.david.strong@gmail.com"